<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */


require_once("Table.php");

class BorderBox extends Table
{
	var $inner_table;
	var $line_color;
	var $border_width;
	var $border_height;
	var $lefttop_image;
	var $righttop_image;
	var $leftbottom_image;
	var $rightbottom_image;

	function BorderBox($id="")
	{
		parent::Table($id);

		$this->line_color = "#d4d4d4";
		$this->line_width = "1px";
		$this->border_width = "2px";
		$this->border_height = "3px";
		$this->lefttop_image = "../images/borderbox_lefttop.gif";
		$this->righttop_image = "../images/borderbox_righttop.gif";
		$this->leftbottom_image = "../images/borderbox_leftbottom.gif";
		$this->rightbottom_image = "../images/borderbox_rightbottom.gif";

		$this->SetAttr("style", "border-collapse: collapse; border: 0;");
		$this->inner_table = new Table();
		$this->inner_table->SetAttr("style", "border: 0;");

	}

	function Add()
	{
		$this->inner_table->Add(func_get_args());
	}

	function Build()
	{
		$lefttop = array(" ", "style=\"width: $this->border_width; height: $this->border_height; background-image: url('$this->lefttop_image');\"");
		$top = array("", "style='width: $this->border_width; height: $this->border_height; border: solid $this->line_color 0px; border-top-width: $this->line_width;'");
		$righttop = array(" ", "style=\"width: $this->border_width; height: $this->border_height; background-image: url('$this->righttop_image'); border: 0;\"");

		$left = array("", "style='width: $this->border_width; border: solid $this->line_color 0px; border-left-width: $this->line_width;'");
		$right = array("", "style='width: $this->border_width; border: solid $this->line_color 0px; border-right-width: $this->line_width;'");

		$leftbottom = array(" ", "style=\"width: $this->border_width; height: $this->border_height; background-image: url('$this->leftbottom_image');\"");
		$bottom = array("", "style='width: $this->border_width; height: $this->border_height; border: solid $this->line_color 0px; border-bottom-width: $this->line_width;'");
		$rightbottom = array(" ", "style=\"width: $this->border_width; height: $this->border_height; background-image: url('$this->rightbottom_image');\"");

		parent::Add($lefttop, $top, $righttop);
		parent::Add($left, $this->inner_table, $right);
		parent::Add($leftbottom, $bottom, $rightbottom);
	}
}


?>
