<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */

require_once("Object.php");
require_once("Label.php");

class Container extends Object {
	var $obj_list;
	var $tag;

	function Container($id=NULL, $tag=NULL, $class=NULL) {
		$this->Object($id, $class);
		$this->obj_list = array();
		$this->tag = $tag;
	}

	function Add($obj) {
		if (is_string($obj)) {
			$l = new Label($obj);
			$this->obj_list[$l->id] = $l;
		} else {
			$this->obj_list[$obj->id] = $obj;
		}
	}

	function toStr()
	{
		$str = "";

		if (count($this->obj_list) <= 0) return;

		if ($this->tag != "") {
			$attr = $this->GetAttr();
			$name = "";
			if ($this->name != "") $name = "name=\"$this->name\"";

			if (isset($this->class)) {
				$str .= "<$this->tag id=\"$this->id\" $name class=\"$this->class\" $attr>";
			} else {
				$str .= "<$this->tag id=\"$this->id\" $name $attr>";
			}
		}

		foreach ($this->obj_list as $key => $obj) {
			if (is_string($obj))
			{
				$str .= $obj;
			} else {
				if (isset($obj->id))
					$str .= $obj->toStr();
				else
					$str .= "{unkown object}";
			}
		}

		if ($this->tag != "") {
			$str .= "</$this->tag>";
		}

		return $str;
	}

	function _Print() {
		echo $this->toStr();
	}
}
?>
