<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */

require_once("Layout.php");
require_once("Document.php");

class MainFrame
{
	var $head;
	var $sub;
	var $body;
	var $foot;
	var $doc;
	
	function MainFrame()
	{
		$this->left = new Layout("left");
		$this->right = new Layout("right");

		$this->head = new Layout("head");
		$this->sub = new Layout("sub");
		$this->body = new Layout("body");
		$this->sidebar = new Layout("sidebar");
		$this->foot = new Layout("foot");
		
		$this->doc = new Document();
	}

	function Add($obj)
	{
		$this->body->Add($obj);
	}

	function _Print()
	{
		$this->doc->_Print();
	}	

	function BuildPage()
	{
		$this->left->Add($this->sub);
		$this->right->Add($this->head);
		$this->right->Add($this->body);
		$this->right->Add($this->sidebar);

		$this->doc->Add($this->left);
		$this->doc->Add($this->right);
		/*
		$this->doc->Add($this->sub);
		$this->doc->Add($this->head);
		$this->doc->Add($this->body);
		$this->doc->Add($this->sidebar);
		 */
		$this->doc->Add($this->foot);
	}

	function PrintHTML()
	{
		$this->BuildPage();
		$this->_Print();
	}
}

?>
