<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */


static $seq = 1;

class Object 
{
	var $id=NULL;
	var $class=NULL;
	var $name=NULL;
	var $attr;
	
	function Object($id=NULL, $class=NULL, $name=NULL) 
	{
		global $seq;

		if ($id != NULL) {
			$this->id = $id;
		} else {		
			$this->id = "id" . date("YmdHis") . $seq++;
		}
		if ($class != NULL) {
			$this->class = $class;
		}
		if ($name != NULL) {
			$this->name = $name;
		}
		$this->attr = array();
	}

	function SetId($id)
	{
		$this->id = $id;
	}

	function SetClass($class)
	{
		$this->class = $class;
	}

	function SetName($name)
	{
		$this->name = $name;
	}

	function SetAttr($name, $value=NULL) 
	{
		$this->attr[$name] = $value;
	}

	function GetAttr() 
	{
		$res = "";
		foreach ($this->attr as $key => $value) {
			if ($value != NULL) {
				$res = $res . "$key=\"$value\" ";
			} else {
				$res = $res . "$key ";
			}
		}
		return $res;
	}

	function GetId()
	{
		return $this->id;
	}	

	function toStr()
	{
		return "{" . $this->id . "}";
	}

	function _Print() 
	{
		echo $this->toStr();
	}
}
?>
