<?php
/**
 * CS HTML Wrapper
 * Copyright (C) 2008, D&SOFT
 * diver@coolsms.co.kr
 */


require_once("Object.php");
require_once("Container.php");

class Option extends Object
{
	var $value;
	var $text;
	var $default;

	function Option($value, $text, $default)
	{
		parent::Object();
		$this->value = $value;
		$this->text = $text;
		$this->default = $default;
	}

	function toStr()
	{
		$str = "";

		if ($this->value == $this->default) {
			$str .= "<option selected value=\"$this->value\">$this->text</option>";
		} else {
			$str .= "<option value=\"$this->value\">$this->text</option>";
		}

		return $str;
	}

	function _Print()
	{
		echo $this->toStr();
	}
}

class Select extends Container
{
	function Select($name="", $data=NULL, $default="")
	{
		parent::Container("", "select");
		$this->SetName($name);

		if ($data != NULL) {
			foreach ($data as $arr) {
				$opt = new Option($arr[0], $arr[1], $default);
				$this->Add($opt);
			}
		}
	}
}


?>
